Go Back   HowtoForge Forums | HowtoForge - Linux Howtos and Tutorials > ISPConfig 2 > General

Do you like HowtoForge? Please consider supporting us by becoming a subscriber.
Reply
 
Thread Tools Display Modes
  #21  
Old 31st May 2010, 09:47
Hans Hans is offline
Moderator
 
Join Date: Dec 2005
Location: Montfoort, The Netherlands
Posts: 2,263
Thanks: 216
Thanked 649 Times in 295 Posts
Default

Hi Till,
I want you to know that the upgrade from ISPCOnfig 2.2.35 to 2.2.36 was flawless again.
Thanks for your work!
__________________
Hans

MrHostman | Managed Hosting
Reply With Quote
Sponsored Links
  #22  
Old 31st May 2010, 09:51
Hans Hans is offline
Moderator
 
Join Date: Dec 2005
Location: Montfoort, The Netherlands
Posts: 2,263
Thanks: 216
Thanked 649 Times in 295 Posts
Default

Quote:
Originally Posted by rbartz View Post
Again, thank you for the upgrade!

This has been a strange upgrade for me. After the second attempt 2.2.36 installed complete on Centos 5.4 and Fedora 10, however, now the spamassassin is not checking mail. Nothing in the database changed, the clamav is checking for viruses and marking the headers appropriately.

However, there are no x-spam lines in the mail headers indicating that the messages are checked by spamassissin, and not marking of spam...

How can I check the operation of spamassassin?

Richard
Have a look here: http://www.howtoforge.com/forums/sho...highlight=spam
__________________
Hans

MrHostman | Managed Hosting
Reply With Quote
  #23  
Old 31st May 2010, 14:02
rbartz rbartz is offline
Member
 
Join Date: Apr 2006
Posts: 80
Thanks: 9
Thanked 6 Times in 5 Posts
Default

Thank you Hans! I ran the update as till indicated and that solved the problem. Thanks again ispconfig developers, you guys are amazing!

To fix the spamassassin, Till said: No downgrade nescessary. Just run:

/home/admispconfig/ispconfig/tools/spamassassin/usr/bin/sa-update

Richard
Reply With Quote
The Following User Says Thank You to rbartz For This Useful Post:
gscaglia (7th August 2010)
  #24  
Old 3rd June 2010, 00:09
kextra1 kextra1 is offline
Senior Member
 
Join Date: Apr 2008
Posts: 121
Thanks: 12
Thanked 10 Times in 6 Posts
Default XML enabled on compile?

Can anyone confirm:

Is XML enabled by default on compile?

When I upgraded once from 2.2.30 to 2.2.33 I remember that the Remoting Framework did not work.

Did someone already post the URL to the changelog?
Reply With Quote
  #25  
Old 3rd June 2010, 00:18
kextra1 kextra1 is offline
Senior Member
 
Join Date: Apr 2008
Posts: 121
Thanks: 12
Thanked 10 Times in 6 Posts
Default Debian Lenny

I'm running Debian Lenny, I havent performed the upgrade yet.

However, in the Debian Lenny Repo there is no:

"libarchive-tar-perl"

There is a "libarchive-any-perl" would that work?


Quote:
Originally Posted by till View Post
ISPConfig 2.2.36 is available for download.

This ISPConfig release adds support for new Linux versions, updates PHP, ClamaV, Spamassassin and OpenSSL and fixes several bugs.

Detailed Changelog
------------------


- New: Added support for Fedora 13
- New: Added support for OpenSuSE 12.0
- New: Added an option to config.inc.php to NOT have the stats belong to the web concerned, but to root
- New: Added global stats user to awstats statistics
- New: Added option in config.inc.php to make log directories belong to root instead of the web owner (more fair concerning quota usage)
- New: Added random password for admin on installation
- Updated PHP to 5.2.13
- Updated Spamassassin to 3.3.1
- Updated ClamAV to 0.96.1
- Updated OpenSSl to 0.9.8m
- Changed: Encryption of SSL keys is now 2048 Bits
- Changed: Disable webalizer debug setting, can be enabled while actually debugging
- Changed: Cleanup of the installer and interface code.
- Changed: Removed duplicate database indexes.
- Bugfix: FS#509 - anonymous ftp should not list incoming directory
- Bugfix: correctly purge ALL old access logs from system log directory (useful if cron job might have failed to run one day)
- Bugfix: The *automatic* whitelist is not a score that can be adjusted
- Bugfix: FS#887 - Remove hardcoded server_url to allow proxying ISPConfig site
- Bugfix: Added a patch that fixed a compile problem in ClamAV on Fedora Linux 11 and below.

Changed system requirements
-----------------------------

This release requires that you have these two new Perl modules installed on your system: NetAddr::IP and Archive::Tar

Installation instructions for the new Perl modules:

Debian/Ubuntu:

Code:
apt-get install libnetaddr-ip-perl libarchive-tar-perl
Fedora:

Code:
yum install perl-NetAddr-IP perl-Archive-Tar
OpenSUSE:

Code:
yast -i perl-NetAddr-IP perl-Archive-Tar
Mandriva:

Code:
urpmi perl-NetAddr-IP perl-Archive-Tar
CentOS 5.x (x86_64):

Code:
yum install perl-Archive-Tar
rpm -ivh http://apt.sw.be/redhat/el5/en/x86_64/rpmforge/RPMS/perl-NetAddr-IP-4.027-1.el5.rf.x86_64.rpm
CentOS 5.x (i386):

Code:
yum install perl-Archive-Tar
rpm -ivh http://apt.sw.be/redhat/el5/en/i386/rpmforge/RPMS/perl-NetAddr-IP-4.027-1.el5.rf.i386.rpm
CentOS 4.x (x86_64):

Code:
yum install perl-Archive-Tar
rpm -ivh http://apt.sw.be/redhat/el4/en/x86_64/rpmforge/RPMS/perl-NetAddr-IP-4.027-1.el4.rf.x86_64.rpm
CentOS 4.x (i386):

Code:
yum install perl-Archive-Tar
rpm -ivh http://apt.sw.be/redhat/el4/en/i386/rpmforge/RPMS/perl-NetAddr-IP-4.027-1.el4.rf.i386.rpm

Download
--------

http://www.ispconfig.org/ispconfig-2/download/

Forums
------

http://www.howtoforge.com/forums


Installation Instructions
-------------------------

Download the ISPConfig-2.2.36.tar.gz from ispconfig.org:

Code:
http://prdownloads.sourceforge.net/ispconfig/ISPConfig-2.2.36.tar.gz?download

Installation on the shell as root user:

Code:
tar xvfz ISPConfig-2.2.36.tar.gz
cd install_ispconfig
./setup
The installer automatically detects the installed ISPConfig version and
performs an update.
Reply With Quote
  #26  
Old 3rd June 2010, 16:42
falko falko is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 41,701
Thanks: 1,900
Thanked 2,752 Times in 2,582 Posts
Default

Quote:
Originally Posted by kextra1 View Post
I'm running Debian Lenny, I havent performed the upgrade yet.

However, in the Debian Lenny Repo there is no:

"libarchive-tar-perl"
There is: http://packages.debian.org/search?ke...le&section=all

What's in /etc/apt/sources.list?
__________________
Falko
--
Download the ISPConfig 3 Manual! | Check out the ISPConfig 3 Billing Module!

FB: http://www.facebook.com/howtoforge

nginx-Webhosting: Timme Hosting | Follow me on:
Reply With Quote
  #27  
Old 5th June 2010, 20:28
Ben Ben is offline
Moderator
 
Join Date: Jul 2006
Posts: 1,029
Thanks: 7
Thanked 62 Times in 56 Posts
Default

Everything looks fine but I found this during the installation

Quote:
cp: Aufruf von stat f######stomized_templates/*# nicht m####ch: Datei oder Verzeichnis nicht gefunden
any hints?
Reply With Quote
  #28  
Old 6th June 2010, 14:14
falko falko is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 41,701
Thanks: 1,900
Thanked 2,752 Times in 2,582 Posts
Default

Quote:
Originally Posted by Ben View Post
Everything looks fine but I found this during the installation



any hints?
I've added this to our bugtracker.
__________________
Falko
--
Download the ISPConfig 3 Manual! | Check out the ISPConfig 3 Billing Module!

FB: http://www.facebook.com/howtoforge

nginx-Webhosting: Timme Hosting | Follow me on:
Reply With Quote
  #29  
Old 27th June 2010, 09:37
xrat xrat is offline
Member
 
Join Date: Nov 2006
Location: Vienna, Austria
Posts: 56
Thanks: 69
Thanked 17 Times in 13 Posts
Exclamation Current Debian 5.0.5 not supported

Hi folks,
It so happened that I upgraded my Debian Lenny to 5.0.5 (released yesterday or so) before I started the ISPconfig upgrade to 2.2.36, but Debian 5.0.5 is not supported.

Code:
./setup
Debian 5.0.5
ERROR: Ihr Betriebssystem wird nicht unterstützt! / Your operating 
system is not supported! / Votre systeme d'exploitation n'est pas 
supporté!
A quick and dirty fix is for instance

Code:
sed -i.bak -e 's/debian504/debian505/' dist.txt
HTH.
Reply With Quote
The Following 2 Users Say Thank You to xrat For This Useful Post:
falko (27th June 2010), till (27th June 2010)
  #30  
Old 15th July 2010, 16:26
jtheed jtheed is offline
Member
 
Join Date: Jul 2007
Posts: 70
Thanks: 12
Thanked 4 Times in 3 Posts
 
Default

Quote:
Originally Posted by falko View Post
There is: http://packages.debian.org/search?ke...le&section=all

What's in /etc/apt/sources.list?
I get this response from the link above:
You have searched for packages that names contain libarchive-tar-perl in suite(s) stable, all sections, and all architectures.

Sorry, your search gave no results

When trying to do the apt-get install libnetaddr-ip-perl libarchive-tar-perl, it says it will install the new packages but then says
WARNING: The following packages cannot be authenticated!
libio-zlib-perl libarchive-tar-perl libnetaddr-ip-perl

and when I say to install them anyway, it cannot find the files.

sources.list contains:
deb http://ftp.debian.org/debian/ etch main
deb-src http://ftp.debian.org/debian/ etch main

deb http://security.debian.org/ etch/updates main contrib
deb-src http://security.debian.org/ etch/updates main contrib
Reply With Quote
Reply

Bookmarks

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
ISPConfig 3.0.1 released till General 36 29th March 2009 15:30
ISPConfig 2.2.27 released till General 20 28th November 2008 13:45
ISPConfig 3.0.0.6 Beta released till General 38 21st September 2008 20:15
phpMyAdmin 2.11.8 package released for ISPConfig 2 Hans General 2 29th July 2008 08:23
ISPConfig 2.3.3-dev released till General 10 12th March 2008 22:08


All times are GMT +2. The time now is 23:02.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.